Subject: [scim] PreferredLanguage - should it be more like accept-language header

From: Phil Hunt <[email-masked]>
Date: Wed, 23 Apr 2014 12:31:17 -0700

I have been talking with some of our internationalization folks and we ran into some concerns with the preferredLanguage attribute which specifies a users preferred language.

The issue is that current SCIM core schema spec allows only one preferred language to be specified while in other systems such as LDAP the “preferredLanguage” attribute uses a value compatible with accept-language headers (http://tools.ietf.org/html/rfc2798#section-2.7 ).  For example:
  "da, en-gb;q=0.8, en;q=0.7” means I prefer Danish but will accept British English and other types of English.

On a positive note, the LDAP form which uses “language-range” defined [RFC4647], Section 2.1 appears to be backwards compatible with the single language definition we currently have.

One worry that was expressed was that in the cloud we have less dependency on a user-agents being able to correctly negotiate languages for users. While some browsers are dedicated to users (eg smartphones), others are becoming increasingly shared such as kiosks.  Being able to pull accept-language information from a User’s profile is very important.

Any concerns with expanding preferredLanguage to allow for language-range per RFC4647?

Phil

@independentid
www.independentid.com
[email-masked]